#!/bin/bash
curl -s localhost:46944/json_rpc \
  -d '{"jsonrpc":"2.0","id":"0","method":"getaddress"}' \
  -H 'Content-Type: application/json' | python3 -c "
import sys,json
d=json.load(sys.stdin)['result']
print('Address:', d['address'])
"
